org.apache.cassandra.utils.btree

## Enum BTree.Dir

- java.lang.Object
- - java.lang.Enum<BTree.Dir>
  - - org.apache.cassandra.utils.btree.BTree.Dir

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BTree.Dir>

Enclosing class:
  BTree

    public static enum BTree.Dir
    extends java.lang.Enum<BTree.Dir>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASC`
`DESC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BTree.Dir` `asc(boolean asc)`
`static BTree.Dir` `desc(boolean desc)`
`BTree.Dir` `invert()`
`static BTree.Dir` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BTree.Dir[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASC

    public static final BTree.Dir ASC

#### DESC

    public static final BTree.Dir DESC

### Method Detail

#### values

    public static BTree.Dir[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BTree.Dir c : BTree.Dir.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BTree.Dir valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### invert

    public BTree.Dir invert()

#### asc

    public static BTree.Dir asc(boolean asc)

#### desc

    public static BTree.Dir desc(boolean desc)